## mindi-kernel 2.4.24-1

=== debian/changelog ===
mindi-kernel (2.4.24-1) unstable; urgency=low

  * Upgraded to 2.4.24 standard Debian kernel.
  * Compile kernel from source rather than provide upstream binaries to be in
    line with Debian policy and to re-allow package into Debian.
    Closes: #179812.
  * Put files under lib rather than share as they are binary files
	
 -- Andree Leidenfrost <aleidenf@bigpond.net.au>  Fri, 19 Mar 2004 09:46:35 +1100

mindi-kernel (1.0-1) unstable; urgency=low

  * Initial release.

 -- Hector Garcia <hector@debian.org>  Tue, 19 Aug 2003 12:07:02 +0200
