=== debian/control ===
Source: mindi-kernel
Section: utils
Priority: extra
Maintainer: Andree Leidenfrost <aleidenf@bigpond.net.au>
Build-Depends: debhelper (>= 4.0.0), kernel-package (>= 8.083), kernel-source-2.4.24 (>= 2.4.24-3)
Standards-Version: 3.6.0

Package: mindi-kernel
Architecture: i386
Conflicts: mindi (<= 0.86-2)
Description: Failsafe linux kernel for mindi
 This package provides a failsafe 2.4.24 kernel for the mindi package.
 It uses the standard Debian kernel sources.
