=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SOURCE_VERSION=2.4.24

configure: 

# Nothing to configure in this package.

build: build-stamp

build-stamp:
	dh_testdir

	# Unpack kernel sources
	tar xvfj /usr/src/kernel-source-$(SOURCE_VERSION).tar.bz2

	# Copy custom config file
	cp $(CURDIR)/mindi-kernel.config $(CURDIR)/kernel-source-$(SOURCE_VERSION)/.config

	# Create the kernel
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION) && make-kpkg clean
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION) && make-kpkg build

	# Copy kernel and modules
	cat $(CURDIR)/kernel-source-$(SOURCE_VERSION)/arch/i386/boot/bzImage > $(CURDIR)/vmlinuz
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION) && make INSTALL_MOD_PATH=$(CURDIR) modules_install

	# Package modules
	tar cvfj lib.tar.bz2 lib

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f vmlinuz lib.tar.bz2
	rm -rf kernel-source-$(SOURCE_VERSION)
	rm -rf lib
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mindi-kernel.
	cp vmlinuz $(CURDIR)/debian/mindi-kernel/usr/lib/mindi
	cp lib.tar.bz2 $(CURDIR)/debian/mindi-kernel/usr/lib/mindi

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
